require "celsius/primo/adapter/operation"
require "celsius/primo_ubpb/adapter"

class Celsius::PrimoUbpb::Adapter::Search < Celsius::Primo::Adapter::Operation
  require_relative "./search/search_result_transformation"

  def call(search_request, options = {})
    celsius_primo_result = adapter.original_search(search_request)

    SearchResultTransformation.new.apply({
      to: celsius_primo_result,
      target: celsius_primo_result # by setting source = target we can modify the document in place
    })
  end
end
