require "celsius/primo/adapter"
require "celsius/primo_ubpb"

class Celsius::PrimoUbpb::Adapter < Celsius::Primo::Adapter
  require_relative "./adapter/search"

  def initialize(options = {})
    super # e.g. load super class locales

    # add adapter specific locales (see Celsius::I18n)
    self.class.load_locales_from_directory("#{File.dirname(__FILE__)}/locales")
  end

  alias_method :original_search, :search

  def search(*args)
    Search.new(self).call(*args)
  end
end
