require "celsius/transformation/step"

class Celsius::PrimoUbpb::Adapter::Search::SearchResultTransformation::
  MakeFacetCreationdateHistogramFacet < Celsius::Transformation::Step

  def call
    if facet_creationdate = target["facets"]["facet_creationdate"]
      facet_creationdate["_type"] = "histogram"
      facet_creationdate["entries"] = facet_creationdate["terms"]
      facet_creationdate.delete("terms")
      facet_creationdate["entries"].each do |entry|
        entry["key"] = entry["term"]
        entry.delete("term")
      end

      # histogram facet should be sorted
      facet_creationdate["entries"].sort! { |a, b| a["key"] <=> b["key"] }
    end
  end
end
